%define         major 3
%define         libname %mklibname nsl %{major}
%define         develname %mklibname nsl -d

Name:		libnsl
Group:		System/Libraries
Version:	2.0.1
Release:	%mkrel 2
Summary:	Public client interface library for NIS(YP) and NIS+
License:	BSD and LGPLv2+
URL:		https://github.com/thkukuk/libnsl
Source0:	https://github.com/thkukuk/libnsl/releases/download/v%{version}/libnsl-%{version}.tar.xz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig(libtirpc)

%description
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.

%package -n %{libname}
Summary:	Public client interface library for NIS(YP) and NIS+
Group:		System/Libraries

%description -n %{libname}
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.

%package -n %{develname}
Summary:	Development files for libnsl
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	glibc-devel < 2.32-1

%description -n %{develname}
Development files for libnsl2

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure \
  --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/libnsl.so.%{major}*
%license COPYING

%files -n %{develname}
%{_libdir}/libnsl.so
%{_includedir}/*
%{_libdir}/pkgconfig/libnsl.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.0.1-2.mga10
+ Revision: 2222009
- Mageia 10 Mass Rebuild

* Sat Apr 06 2024 wally <wally> 2.0.1-1.mga10
+ Revision: 2055228
- new version 2.0.1
- new lib major 3

* Sat Mar 19 2022 umeabot <umeabot> 1.3.0-3.mga9
+ Revision: 1800042
- Mageia 9 Mass Rebuild

* Fri Dec 11 2020 wally <wally> 1.3.0-2.mga8
+ Revision: 1655468
- add libnsl-devel provides

* Sun Nov 22 2020 tmb <tmb> 1.3.0-1.mga8
+ Revision: 1648362
- imported package libnsl

